
/* Style de base pour le rectangle */
.rectangle {
    display: inline-block;
    padding: 3px 10px; /* Ajustez la taille du rectangle ici */
    border-radius: 5px;
    font-weight: bold;
    text-align: left;
    color: white;
    position: relative;
    top: 2px;
}

/* Style pour le rectangle rouge (KO) */
.rectangle-rouge {
    background-color: #B82010;
}

/* Style pour le rectangle vert (OK) */
.rectangle-vert {
    background-color: #3A9D23;
}

/* Style pour le rectangle vert (OK) */
.rectangle-orange {
    background-color: orange;
}

/* Style pour le rectangle vert (OK) */
.rectangle-gris {
    background-color: lightgrey;
    color: black;
}
/* Style pour l'info-bulle */
.infobulle {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    border-radius: 5px;
    padding: 5px;
    white-space: nowrap;
    top: -30px;
    left: 50%;
    transform: translateX(-50%);

}

/* Afficher l'info-bulle lorsque le curseur passe dessus */
.rectangle:hover .infobulle {
    display: block;
}

/* Afficher l'info-bulle lorsque le curseur passe dessus */
.cercle:hover .infobulle {
    display: block;
}

.cercle {
    display: inline-block;
    width: 20px; /* Ajustez la taille du cercle ici */
    height: 20px; /* Assurez-vous que la largeur et la hauteur sont les mêmes pour obtenir un cercle */
    border-radius: 50%; /* Utilisation de la moitié de la largeur (ou de la hauteur) pour obtenir un cercle */
    font-weight: bold;
    text-align: left;
    color: white;
    position: relative;
    top: 5px;
}
